<?php

namespace Drupal\mailjet_webform_subscription\Element;

use Drupal\webform\Element\WebformCompositeBase;

/**
 * Provides a webform element for an address element.
 *
 * @FormElement("mail_list_checkbox")
 */
class WebformMailListCheckbox extends WebformCompositeBase {

  /**
   * {@inheritdoc}
   */
  public static function getCompositeElements(array $element) {
    $elements = [];

    $elements['token'] = [
      '#type' => 'hidden',
      '#title' => t('Token'),
      '#default_value' => '',
    ];

    $elements['token_consumed'] = [
      '#type' => 'hidden',
      '#title' => t('Consumed'),
      '#default_value' => '',
    ];

    $elements['user_confirmation'] = [
      '#type' => 'checkbox',
      '#title' => $element['#title'] ?? t('Subscribe to newsletter'),
      '#help' => $element['#help'] ?? '',
      '#required' => $element['#required'] ?? FALSE,
    ];
    return $elements;
  }

}
